package org.openxma.dsl.platform.jsf.util;

import java.util.ArrayList;
import java.util.List;

import javax.faces.model.SelectItem;

import at.spardat.xma.datasource.IDomRow;

public class DomainValuesUtil {

	public static enum Label {
		LONG_VALUE,
		SHORT_VALUE
	}
	
	public static List<SelectItem> getSelectItems(IDomRow[] rows) {
		return getSelectItems(rows, null, Label.LONG_VALUE);
	}
	public static List<SelectItem> getSelectItems(IDomRow[] rows, String nullLabel) {
		return getSelectItems(rows, nullLabel, Label.LONG_VALUE);
	}
	public static List<SelectItem> getSelectItems(IDomRow[] rows, String nullLabel, Label l) {
		List<SelectItem> items = new ArrayList<SelectItem>();
		if (nullLabel != null)
			items.add(new SelectItem(null, nullLabel));
    	for (IDomRow row : rows) {
    		String value = null;
    		switch (l) {
    		case SHORT_VALUE: 
    			value = row.getShortValue(); 
    			break;
    		case LONG_VALUE: 
    		default: 
    			value = row.getLongValue();
    			break;
    		}
    		items.add(new SelectItem(row.getKey(), value));
    	}
    	return items;
	}
}
