package org.openxma.dsl.platform.jsf.util;

import java.util.ArrayList;
import java.util.List;
import java.util.Locale;

import javax.faces.model.SelectItem;

import org.openxma.dsl.platform.enums.I18nEnum;

public class I18nEnumUtil {

	public static SelectItem getOneSelectItem(boolean shortValue,
			I18nEnum enumValue) {
		SelectItem e = new SelectItem(enumValue, shortValue ? enumValue.getShortValue(getLocale()) : enumValue.getLongValue(getLocale()));
		return e;
	}
	
	public static List<SelectItem> getSelectItemsForI18nEnumValues(boolean shortValue, I18nEnum[] enumArray) {
		List<SelectItem> items = new ArrayList<SelectItem>();
		for (I18nEnum enumValue : enumArray) {
			items.add(getOneSelectItem(shortValue, enumValue));
		}
		return items;
	}
	

	private static Locale getLocale() {
		return Locale.ENGLISH; // TODO: get actual locale!
	}
}
