package org.openxma.dsl.platform.jsf.util;

import java.io.IOException;
import java.lang.annotation.Annotation;

import javax.faces.application.FacesMessage;
import javax.faces.context.FacesContext;

import org.apache.myfaces.orchestra.viewController.annotations.ViewController;
import org.primefaces.context.RequestContext;

public class JsfUtil {

	public static void addMessage(String clientId, String summary, String detail) {
		FacesContext.getCurrentInstance().addMessage(clientId, new FacesMessage(summary, detail));
	}
	
	public static void redirectToPage(Class<?> clazz) {
		ViewController viewControllerAnnotation = (ViewController) clazz.getAnnotation(ViewController.class);
		redirectToPage(viewControllerAnnotation.viewIds()[0]);
	}
	
	public static void redirectToPage(String viewId) {
		FacesContext.getCurrentInstance().getExternalContext().getFlash().setKeepMessages(true);
		String requestContextPath = FacesContext.getCurrentInstance().getExternalContext().getRequestContextPath();
		String fullRedirectUrl = requestContextPath + "/" + viewId;
		try {
			System.out.println("Redirecting to " + fullRedirectUrl);
			FacesContext.getCurrentInstance().getExternalContext().redirect(fullRedirectUrl);
		} catch (IOException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		
	}
	
	public static void addCallbackParam(String name, Object value) {
	    RequestContext.getCurrentInstance().addCallbackParam(name, value);
	}
}
